Skip to content
Guides

Cancel a scheduled account deletion

Brings the account back to active while it is still inside the grace period.

DELETE/v1/users/me/deletion

Brings the account back to active while it is still inside the grace period.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/v1/users/me/deletion" \  -H "Authorization: Bearer <token>"
{  "status": "inactive",  "requestedOn": "2026-08-01T15:30:00Z",  "scheduledOn": "2026-08-01T15:30:00Z",  "blockingStores": [    "example"  ]}